{% extends "base.html" %}

{% block title %}
    My Projects
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url "create_project" %}">Create a new project</a>
            </p>
            {% if projects.count == 0 %}
                <p>You are not assigned to any projects.</p>
            {% else %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <td>
                                <a href="{% url "show_project" project.id %}">{{ project.name }}</a>
                            </td>
                            <td>{{ project.tasks.all|length }}</td>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
